Fedora 9 : glib2-2.16.6-3.fc9 (2009-2688)

Medium Nessus Plugin ID 36068

Synopsis

The remote Fedora host is missing a security update.

Description

This update fixes possible integer overflows in the base64 handling functions. This has been reported in CVE-2008-4316.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected glib2 package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=474770

http://www.nessus.org/u?ce5974bc

Plugin Details

Severity: Medium

ID: 36068

File Name: fedora_2009-2688.nasl

Version: Revision: 1.13

Type: local

Agent: unix

Published: 2009/04/01

Updated: 2016/05/11

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.6

Temporal Score: 4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:glib2, cpe:/o:fedoraproject:fedora:9

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/03/13

Reference Information

CVE: CVE-2008-4316

BID: 34100

FEDORA: 2009-2688

CWE: 189